> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save a GitHub access token for the current user



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json post /integration/github/token
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /integration/github/token:
    post:
      tags:
        - Integration
      summary: Save a GitHub access token for the current user
      operationId: saveGitHubToken
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveGitHubTokenDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseDto_Output'
      security:
        - bearer: []
components:
  schemas:
    SaveGitHubTokenDto:
      type: object
      properties:
        token:
          type: string
      required:
        - token
    SuccessResponseDto_Output:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.